Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Apr 2023 05:24:49 +0300

> Date: Sun, 16 Apr 2023 23:46:37 +0300
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 14/04/2023 22:28, Eli Zaretskii wrote:
> > If, OTOH,
> > you think that it's imperative to allow_all_  users of Eglot with
> > Emacs 29 to upgrade to Eglot 1.14 (and 1.15, 1.16, etc., when those
> > become available), then we should release Emacs 29 with 1.14.
> 
> Was this question about stability only?

It was about the criteria for which versions of core packages to ship
with a release.

> Because since we've decided in favor of stability of package.el, and 
> against eglot's easy upgradability, I would suggest to backport Eglot 
> 1.14 to emacs-29.

I won't object.  In fact, I asked up front why not.